Bug Hunting Session
Bug 78727 - FILEOPEN: DrawingML import/export filter does not fully work as stated in 4.3 Release Notes
Summary: FILEOPEN: DrawingML import/export filter does not fully work as stated in 4.3...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha1
Hardware: All All
: medium major
Assignee: Miklos Vajna
URL:
Whiteboard: interoperability target:5.3.0 target:...
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks:
 
Reported: 2014-05-15 07:54 UTC by d00m3d.olw
Modified: 2016-09-10 09:16 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
DOCX to ODT (86.52 KB, image/png)
2014-05-15 07:54 UTC, d00m3d.olw
Details
Spiral.docx open failure (464.83 KB, image/png)
2014-06-27 01:59 UTC, d00m3d.olw
Details

Note You need to log in before you can comment on or make changes to this bug.
Description d00m3d.olw 2014-05-15 07:54:08 UTC
Created attachment 99065 [details]
DOCX to ODT

In the "DrawingML import/export" section of LibO 4.3 release notes:

https://wiki.documentfoundation.org/ReleaseNotes/4.3

It is mentioned that an example DOCX document will be opened in good shape.

http://people.freedesktop.org/~vmiklos/2014/spiral.docx

Yes, it is.  BUT, only in the first time when it is imported into Writer.  If the example file is saved as LibO's native odt format and then re-open by Writer, it does not look right.  All numbers are out of bound and all text are "trapped" inside square boxes.  (see attached)

I am testing this with a very recent snapshot from the master branch on 32-bit Linux platform.

Version: 4.3.0.0.alpha1+
Build ID: 584b415924bba22db23a4258062e54973de0ed7c
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-05-14_09:50:30

Looks like further improvements are needed.
Comment 1 Joel Madero 2014-05-16 19:19:31 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version: 4.3.0.0.alpha0
Date:   Thu May 15 21:43:16 2014 +0300
Platform :Ubuntu 14.04x64
DE: GNOME3

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
As I've been able to confirm this problem I am marking as:

New (confirmed)
Minor - Will not prevent high quality work but definitely can slow it down (once you save you have to manually edit the file to make it look right again)
Medium - per original report it appears like this is a new feature to import, should be able to save as native format and not experience this kind of result. Bumped up from "low"


+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 d00m3d.olw 2014-05-28 01:22:37 UTC
I tried again with newer 4.3 beta and master snapshot on separate platforms:

Platform: Win7 32-bit
Version: 4.3.0.0.beta1
Build ID: b7cfa1eab1cb1e94f71d6df6612b73f231d0bf92

Platform: Linux 32-bit
Version: 4.4.0.0.alpha0+
Build ID: 467a0d624df1a62b8fa2b28d587c0b42ea3b3e04
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-05-26_22:50:01

Problem still persists.

I really hope this bug could be closed before official stable 4.3 release.  Otherwise, attracted and trusted users will merely complaint afterwards.
Comment 3 d00m3d.olw 2014-06-27 01:59:15 UTC
Created attachment 101833 [details]
Spiral.docx open failure
Comment 4 d00m3d.olw 2014-06-27 01:59:52 UTC
I downloaded the latest snapshot from master:

Version: 4.4.0.0.alpha0+
Build ID: a23bc5aa09b1ed6afad863d52281f89ea115074b
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-06-26_06:25:04

The situation is now even worst.  Spiral.docx can no longer be opened!

Please!  Please fix it before the official stable 4.3 release.
Comment 5 QA Administrators 2015-07-18 17:44:36 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-10-23 17:07:27 UTC
(In reply to d00m3d.olw from comment #4)
> The situation is now even worst.  Spiral.docx can no longer be opened!
> 
> Please!  Please fix it before the official stable 4.3 release.

Yep. Let's add a bibisect request.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: fcc2415ade6ae93710bbbda9f7e163045e323105
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-21_16:55:13
Locale: fi-FI (fi_FI)
Comment 7 Robinson Tryon (qubit) 2015-12-14 05:32:43 UTC Comment hidden (obsolete)
Comment 8 Joel Madero 2015-12-17 15:13:17 UTC
Bumping to:
Major - can't open the file at all - despite it being expressly called out in release notes;
Medium - default for major bugs is high but in this case it's not a feature that is going to hugely impact our user base (18 months and really 1 user has reported it)

64c8b13f248fe7ea3808c7f8e62d0d656f170378 is the first bad commit
commit 64c8b13f248fe7ea3808c7f8e62d0d656f170378
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Sat Mar 14 21:42:08 2015 +0800

    source-hash-d379d18666aa42031359ca8eb34b0021960347ae
    
    commit d379d18666aa42031359ca8eb34b0021960347ae
    Author:     Miklos Vajna <vmiklos@collabora.co.uk>
    AuthorDate: Wed Jun 18 11:57:31 2014 +0200
    Commit:     Miklos Vajna <vmiklos@collabora.co.uk>
    CommitDate: Wed Jun 18 12:09:15 2014 +0200
    
        oox: import WPS shape with text as shape with textbox
    
        This allows having real shapes (like having rounded corners) and complex
        content (like containing a table) at the same time.
    
        WPS shapes are wrappers around drawingML markup in DOCX files, so this
        only affects the DOCX import.
    
        Change-Id: Iad1c1c61233be1c17efa1821e680927aa9587215

:040000 040000 529a5c3ebc7c866c86be0c93a0b6a58ee22501a1 14e07ed25ffce284ed57439d86f382777554d6ee M	opt

# bad: [cf6ea17155fabb2a120ba07c150735591ac861d7] source-hash-3f94c9e9ddfd807b449f3bb9b232cf2041fa12d2
# good: [fc71ac001f16209654d15ef8c1c4018aa55769f5] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
git bisect start 'latest' 'oldest'
# bad: [8cf60cc706948588e2f33a6d98b7c55d454e362a] source-hash-f340f0454627939f1830826fb5cc53a90e6c62a4
git bisect bad 8cf60cc706948588e2f33a6d98b7c55d454e362a
# bad: [d9885f526fc7a09cc8f9f8ee643af1b966be24bb] source-hash-d1465c64c6f64ad8dd25e40cdc69649b24b305ea
git bisect bad d9885f526fc7a09cc8f9f8ee643af1b966be24bb
# good: [e3eab511ffbcd2e1e2c67e7a4fec162bb0b26b7a] source-hash-dc9cc46f3223aff3f85d3ce9696178a5f4d3d087
git bisect good e3eab511ffbcd2e1e2c67e7a4fec162bb0b26b7a
# good: [1477f347fb61b5b07de64312247b49371812f5b4] source-hash-4598bbe41d0906a34ceb1126c7fce2108642cd8e
git bisect good 1477f347fb61b5b07de64312247b49371812f5b4
# bad: [fdbfc593506d9f38152b80f14c9e7afdbef0b40a] source-hash-6024ddbfac8e62db50dd5352d610c87d279627de
git bisect bad fdbfc593506d9f38152b80f14c9e7afdbef0b40a
# bad: [a73a454c00b7d11b852a7b7998a83965ccfc668f] source-hash-87e23f425f60b0b7459c63b824bc8bdc17796ad2
git bisect bad a73a454c00b7d11b852a7b7998a83965ccfc668f
# bad: [59af433fd1667f638e7ee61709e81a8eda47c472] source-hash-c4bf1f35405d3dcbd152e2e194d9e79946c0f471
git bisect bad 59af433fd1667f638e7ee61709e81a8eda47c472
# good: [bba613463d21864fec13d1810283622835a7d62a] source-hash-73e4a5d091de89064c931128da46a910cc139bc3
git bisect good bba613463d21864fec13d1810283622835a7d62a
# good: [cb6b0a0fbd337840fac4000708db7f4d8d8386a5] source-hash-8e67a7796f598de2f11b694542bccb48343f0d9a
git bisect good cb6b0a0fbd337840fac4000708db7f4d8d8386a5
# bad: [7912950540d49e1812f78c669dc9e5cf1e43a696] source-hash-b304628e4d50332be9a385857f7f16a441d5a1d3
git bisect bad 7912950540d49e1812f78c669dc9e5cf1e43a696
# skip: [e609507923bbde2bad9238718f2f0d3c79e9a4ff] source-hash-f53e88d14d182fb3af3787e8dac2126ac39551fa
git bisect skip e609507923bbde2bad9238718f2f0d3c79e9a4ff
# bad: [70eb65f92fc59e2cbcab9fc9f517c625a5f37ce2] source-hash-2ddcc1afb07e75ef388a200faeeacf833520a0d9
git bisect bad 70eb65f92fc59e2cbcab9fc9f517c625a5f37ce2
# bad: [2663845bb43b20665144b7e6f7920cc40b1b8ae8] source-hash-cd29db561357295f0e6e719088053e39fb404469
git bisect bad 2663845bb43b20665144b7e6f7920cc40b1b8ae8
# bad: [64c8b13f248fe7ea3808c7f8e62d0d656f170378] source-hash-d379d18666aa42031359ca8eb34b0021960347ae
git bisect bad 64c8b13f248fe7ea3808c7f8e62d0d656f170378
# first bad commit: [64c8b13f248fe7ea3808c7f8e62d0d656f170378] source-hash-d379d18666aa42031359ca8eb34b0021960347ae
Comment 9 Aron Budea 2016-09-01 04:46:13 UTC
First bad commit verified, adding bisected keyword. Bug still present in v5.2.1.2.
The bibisection was done for the second issue, when no spiral is shown.
Comment 10 Commit Notification 2016-09-07 20:18:44 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9d9e5b40c1a6d91323564e60b25ccf04df86db4b

tdf#78727 sw: fix missing textbox text when anchored inside flying table

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Miklos Vajna 2016-09-07 20:34:27 UTC
(In reply to Aron Budea from comment #9)
> The bibisection was done for the second issue, when no spiral is shown.

Spiral is now shown. :-)
Comment 12 Commit Notification 2016-09-10 09:16:31 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ebd72cfc297ecfe617e9112f977a8ca12c2cacee&h=libreoffice-5-2

tdf#78727 sw: fix missing textbox text when anchored inside flying table

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.